米尔淘宝店| 米尔电子| 米尔微博| English

AM335x开发中遇到执行程序错误

文章来源:米尔科技 发布日期:2019.9.5 浏览次数:151 次

    米尔为了协助客户更加快速高效的使用我公司产品提供免费技术支持服务。客户在使用TI AM335X linux 程序开发过程中遇到了以下问题,为了让大家再遇到相似问题时能快速得到解决思路,小编整理了这篇《AM335x开发中遇到执行程序错误》。

    问题:根据《MYD-AM335x Linux4.1.18开发手册》建立了核心板的开发环境程序编译完成后导入到AM335x模块内部,执行程序发现如下错误:

[email protected] update# ./ntpq -p

./ntpq: /lib/libc.so.6: version `GLIBC_2.17' not found (required by ./ntpq)

    米尔技术支持回复:从以上代码串可以看到,这位用户的AM335X板上跑的应该是 3.2的内核,文件系统里面的libc库和根据4.1.18开发手册编译出来的libc库不是同一个版本。这时需要先把AM335X板上的系统重新烧写为4.1.18版本。



本文来自米尔科技,原文地址: http://www.rrxidq.cn/resource/529.asp,转载请注明出处。

比较和选型

手册教程

应用笔记

好书推荐

技术支持服务指南

常见问题解答

棋牌游戏下载送十元